=== debian/control ===
Source: ros-melodic-pr2-controller-manager
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-diagnostic-msgs, ros-melodic-pluginlib, ros-melodic-pr2-controller-interface, ros-melodic-pr2-description, ros-melodic-pr2-hardware-interface, ros-melodic-pr2-mechanism-diagnostics, ros-melodic-pr2-mechanism-model, ros-melodic-pr2-mechanism-msgs, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-roslaunch <!nocheck>, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: http://ros.org/pr2_controller_manager
Standards-Version: 3.9.2

Package: ros-melodic-pr2-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-msgs, ros-melodic-pluginlib, ros-melodic-pr2-controller-interface, ros-melodic-pr2-description, ros-melodic-pr2-hardware-interface, ros-melodic-pr2-mechanism-diagnostics, ros-melodic-pr2-mechanism-model, ros-melodic-pr2-mechanism-msgs, ros-melodic-realtime-tools, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-rosparam, ros-melodic-rospy, ros-melodic-sensor-msgs
Description: The controller manager (CM) package provides the infrastructure to run controllers in a hard realtime loop.
